Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.passage
Interface PassageListener

All Superinterfaces:
  EventListener

    public interface PassageListener

extends EventListener

A PassageListener gets told when the verses in a Passage have changed (added or removed).

Author:
  Joe Walker
See Also:
  `The GNU Lesser General Public License for details.`

Method Summary
`void` | `versesAdded(PassageEvent ev)` Sent after stuff has been added to the Passage, more info about what and where can be had from the Event
`void` | `versesChanged(PassageEvent ev)` Sent after verses have been simultaneously added and removed from the Passage, more info about what and where can be had from the Event
`void` | `versesRemoved(PassageEvent ev)` Sent after stuff has been removed from the Passage, more info about what and where can be had from the Event

Method Detail

### versesAdded

    void versesAdded(PassageEvent ev)

  Sent after stuff has been added to the Passage, more info about what and where can be had from the Event

  Parameters:
    `ev` - a PassageEvent encapsulating the event information

### versesRemoved

    void versesRemoved(PassageEvent ev)

  Sent after stuff has been removed from the Passage, more info about what and where can be had from the Event

  Parameters:
    `ev` - a PassageEvent encapsulating the event information

### versesChanged

    void versesChanged(PassageEvent ev)

  Sent after verses have been simultaneously added and removed from the Passage, more info about what and where can be had from the Event

  Parameters:
    `ev` - a PassageEvent encapsulating the event information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD